Subject: Re: [bug#32947] Add java-xalan.

From: Frank Pursel <[email-masked]>
Date: Fri, 18 Mar 2022 10:29:37 -0700

No, I don't think generate-jar-indices is broken.  The problem is that
the xalan build is dependent on xml-apis.jar which guix has broken out
into pieces that are split between the guix builds of xerces and jaxp.
The index fails because it looks for all the requirements specified in
the manifest which now must identify xerces and jaxp.  So, those jars
(jaxp and xerces) now need to be brought over into the outputs(out)
directory to allow the indexing to succeed.  I don't know if the
symlinks are required after completion of the indexing but saw no harm
in it since we need to propagate those inputs anyway or else xalan will
not be able to find all it's dependencies when called.  I was pleased to
be able to find all the xml-apis requirements already provided by the
guix builds of xerces and jaxp.

Regards,
Frank